<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-281"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FXHXCakeView%2FXHXCakeView.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/XHXCakeView/XHXCakeView.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_cake_view_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXCakeView.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_cake_view_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXCakeView.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2019/2/26.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_cake_8h.html">XHXCake.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="_x_h_x_cake_view_8h.html#a1c2d09be2a8f7234c1d8a45a6ca31288">   12</a></span>&nbsp;<span class="keyword">typedef</span> <a class="code" href="_x_h_x_cake_view_8h.html#a1c2d09be2a8f7234c1d8a45a6ca31288">NS_ENUM</a>(NSUInteger, XHXCakeViewType) {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;    XHXCakeViewTypeWhite = 0,</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;    XHXCakeViewTypeDark,</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;};</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html">   17</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_cake_view.html">XHXCakeView</a> : UIView</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#a761f5c7901a07a750838d99179ca01c0">   18</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_cake_view.html#a761f5c7901a07a750838d99179ca01c0">innerRadius</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#af8b551290aa68488aaed49b02a20cc3a">   19</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_cake_view.html#af8b551290aa68488aaed49b02a20cc3a">totalRadius</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#a8d63b8bb62778da52983a90d70eb6839">   20</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_cake_view.html#a8d63b8bb62778da52983a90d70eb6839">cakeSpace</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#a31f2da6515b8dfd61aa2b20dff73c373">   22</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) NSMutableArray&lt;XHXCake *&gt; *<a class="code" href="interface_x_h_x_cake_view.html#a31f2da6515b8dfd61aa2b20dff73c373">cakes</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#a31993300e2a1eabbeec1e0444c9ad64e">   24</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) XHXCakeViewType <a class="code" href="interface_x_h_x_cake_view.html#a31993300e2a1eabbeec1e0444c9ad64e">type</a>;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#a0dd5b2485f0f9a1202dc47946f500276">   25</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) NSInteger <a class="code" href="interface_x_h_x_cake_view.html#a0dd5b2485f0f9a1202dc47946f500276">selectedIndex</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp; </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_view.html#a2e7da70d1f1d345156f000f5fba91bb9">   27</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, copy) dispatch_block_t <a class="code" href="interface_x_h_x_cake_view.html#a2e7da70d1f1d345156f000f5fba91bb9">selectItemBlk</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;- (void)addCake:(<a class="code" href="interface_x_h_x_cake.html">XHXCake</a> *)cake;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;+ (<a class="code" href="interface_x_h_x_cake_view.html">XHXCakeView</a> *)<a class="code" href="interface_x_h_x_cake_view.html#a61403e21a87b2d737a60a4f32ab33fec">darkCakeView</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;+ (<a class="code" href="interface_x_h_x_cake_view.html">XHXCakeView</a> *)<a class="code" href="interface_x_h_x_cake_view.html#afae0f5a6f883b2219cec59462040840b">whiteCakeView</a>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;- (void)setupProgress:(NSArray&lt;NSNumber *&gt; *)progresses values:(NSArray&lt;NSNumber *&gt; *)values;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;NS_ASSUME_NONNULL_END</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a31993300e2a1eabbeec1e0444c9ad64e"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a31993300e2a1eabbeec1e0444c9ad64e">XHXCakeView::type</a></div><div class="ttdeci">XHXCakeViewType type</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:24</div></div>
<div class="ttc" id="a_x_h_x_cake_8h_html"><div class="ttname"><a href="_x_h_x_cake_8h.html">XHXCake.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_afae0f5a6f883b2219cec59462040840b"><div class="ttname"><a href="interface_x_h_x_cake_view.html#afae0f5a6f883b2219cec59462040840b">+[XHXCakeView whiteCakeView]</a></div><div class="ttdeci">XHXCakeView * whiteCakeView()</div><div class="ttdef"><b>Definition:</b> XHXCakeView.m:85</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a31f2da6515b8dfd61aa2b20dff73c373"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a31f2da6515b8dfd61aa2b20dff73c373">XHXCakeView::cakes</a></div><div class="ttdeci">NSMutableArray&lt; XHXCake * &gt; * cakes</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:22</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a0dd5b2485f0f9a1202dc47946f500276"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a0dd5b2485f0f9a1202dc47946f500276">XHXCakeView::selectedIndex</a></div><div class="ttdeci">NSInteger selectedIndex</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:25</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a8d63b8bb62778da52983a90d70eb6839"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a8d63b8bb62778da52983a90d70eb6839">XHXCakeView::cakeSpace</a></div><div class="ttdeci">CGFloat cakeSpace</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:20</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a761f5c7901a07a750838d99179ca01c0"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a761f5c7901a07a750838d99179ca01c0">XHXCakeView::innerRadius</a></div><div class="ttdeci">CGFloat innerRadius</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:18</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a61403e21a87b2d737a60a4f32ab33fec"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a61403e21a87b2d737a60a4f32ab33fec">+[XHXCakeView darkCakeView]</a></div><div class="ttdeci">XHXCakeView * darkCakeView()</div><div class="ttdef"><b>Definition:</b> XHXCakeView.m:22</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html"><div class="ttname"><a href="interface_x_h_x_cake_view.html">XHXCakeView</a></div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:18</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_a2e7da70d1f1d345156f000f5fba91bb9"><div class="ttname"><a href="interface_x_h_x_cake_view.html#a2e7da70d1f1d345156f000f5fba91bb9">XHXCakeView::selectItemBlk</a></div><div class="ttdeci">dispatch_block_t selectItemBlk</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:27</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_view_html_af8b551290aa68488aaed49b02a20cc3a"><div class="ttname"><a href="interface_x_h_x_cake_view.html#af8b551290aa68488aaed49b02a20cc3a">XHXCakeView::totalRadius</a></div><div class="ttdeci">CGFloat totalRadius</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:19</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_html"><div class="ttname"><a href="interface_x_h_x_cake.html">XHXCake</a></div><div class="ttdef"><b>Definition:</b> XHXCake.h:13</div></div>
<div class="ttc" id="a_x_h_x_cake_view_8h_html_a1c2d09be2a8f7234c1d8a45a6ca31288"><div class="ttname"><a href="_x_h_x_cake_view_8h.html#a1c2d09be2a8f7234c1d8a45a6ca31288">NS_ENUM</a></div><div class="ttdeci">NS_ASSUME_NONNULL_BEGIN typedef NS_ENUM(NSUInteger, XHXCakeViewType)</div><div class="ttdef"><b>Definition:</b> XHXCakeView.h:12</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_c96267196d8d44949132e86db478fb8d.html">XHXCakeView</a></li><li class="navelem"><a class="el" href="_x_h_x_cake_view_8h.html">XHXCakeView.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>